PamCut: DataQualCut Class Reference

# DataQualCut Class Reference

The event and data quality cut. This cut ensures that all the data relative to the various detectors is present in the current event and that it has been correctly read. More...

`#include <DataQualCut.h>`

Inheritance diagram for DataQualCut:

List of all members.

## Public Member Functions
| DataQualCut (const char *cutName, unsigned int cutMask=ALL)
| Constructor. DataQualCut.h.
| ~DataQualCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The event and data quality check.
## Private Attributes
unsigned int | _cutMask

## Detailed Description

The event and data quality cut. This cut ensures that all the data relative to the various detectors is present in the current event and that it has been correctly read.

Definition at line 20 of file DataQualCut.h.

## Constructor & Destructor Documentation

DataQualCut::DataQualCut | ( | const char * | cutName,
|  | unsigned int | cutMask = `ALL` |
| ) |  |  | `[inline]`

Constructor. DataQualCut.h.

Parameters:

  | cutName | The cut's name.
  | cutMask | An integer whose binary code would provide a mask for the cuts to apply; use a DETECTORCODE or a combination of them to enable the corresponding checks. Default: ALL (meaning all Level 2 detectors except S4 and ND).

Definition at line 32 of file DataQualCut.h.

DataQualCut::~DataQualCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 36 of file DataQualCut.h.

## Member Function Documentation

int DataQualCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The event and data quality check.

This method checks if the pointers to the various detectors level 2 data are present and if the data has been correctly unpacked, in this order: Tracker, Calo, ToF, AC, Trigger, Orbital Info. If it finds missing or corrupted data, it will stop the check and return a code corresponding to the missing/corrupted detector data.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if all the checked data are present and not corrupted.

  TRK if Tracker data is missing or corrupted.

  CALO if Calo level2 data is missing or corrupted.

  CALO_L1 if Calo level1 data is missing

  TOF if ToF data is missing or corrupted.

  AC if AC data is missing or corrupted.

  TRIG if Trigger data is missing or corrupted.

  ORB if Orbital Info data is missing.

Implements PamCut.

Definition at line 12 of file DataQualCut.cpp.

References _cutMask, AC, CALO, CALO_L1, CUTOK, ORB, TOF, TRIG, and TRK.

## Member Data Documentation

unsigned int DataQualCut::_cutMask`[private]`

Definition at line 60 of file DataQualCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- MiscCuts/DataQualCut/DataQualCut.h
- MiscCuts/DataQualCut/DataQualCut.cpp